aboutsummaryrefslogtreecommitdiff
path: root/paludis/repositories/e/ebuild/0/builtin_initrm.bash
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
committerAvatar David Leverton <levertond@googlemail.com> 2008-03-30 21:24:45 +0000
commit96bb6d453405ed3a7bd03201192861a0ae272573 (patch)
treef918380a1324ea2db83f46cdbf4aab64936714d1 /paludis/repositories/e/ebuild/0/builtin_initrm.bash
parent18d668cc92656764cdac4eaafd643b068897eca1 (diff)
downloadpaludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.gz
paludis-96bb6d453405ed3a7bd03201192861a0ae272573.tar.xz
Use ${builddir}/${CATEGORY}-${PF} instead of ${builddir}/${CATEGORY}/${PF}, to avoid userpriv subtleties.
Diffstat (limited to 'paludis/repositories/e/ebuild/0/builtin_initrm.bash')
-rw-r--r--paludis/repositories/e/ebuild/0/builtin_initrm.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/paludis/repositories/e/ebuild/0/builtin_initrm.bash b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
index ca137613b..cb7e45e39 100644
--- a/paludis/repositories/e/ebuild/0/builtin_initrm.bash
+++ b/paludis/repositories/e/ebuild/0/builtin_initrm.bash
@@ -53,14 +53,14 @@ builtin_initrm()
fi
done
- if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" ]] ; then
+ if [[ -e "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" ]] ; then
if type -p chflags &>/dev/null; then
- chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove flags from workdir"
+ chflags -R 0 "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove flags from workdir"
fi
- rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall" || die "Couldn't remove previous work"
+ rm -fr "${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall" || die "Couldn't remove previous work"
fi
- export T="${PALUDIS_TMPDIR}/${CATEGORY}/${PF}-uninstall/temp/"
+ export T="${PALUDIS_TMPDIR}/${CATEGORY}-${PF}-uninstall/temp/"
mkdir -p "${T}" || die "Couldn't create \$T (\"${T}\")"
declare -r T="${T}"
export HOME="${T}"